<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Juara extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
        $this->load->model('Mjuara');
        $this->load->library('form_validation');
    }

    public function index()
    {
        $q = urldecode($this->input->get('q', TRUE));
        $start = intval($this->input->get('start'));

        if ($q <> '') {
            $config['base_url'] = base_url() . 'juara?q=' . urlencode($q);
            $config['first_url'] = base_url() . 'juara?q=' . urlencode($q);
        } else {
            $config['base_url'] = base_url() . 'juara';
            $config['first_url'] = base_url() . 'juara';
        }

        $config['per_page'] = 10;
        $config['page_query_string'] = TRUE;
        $config['total_rows'] = $this->Mjuara->totalRows($q);
        $juara = $this->Mjuara->getLimitData($config['per_page'], $start, $q);

        $this->load->library('pagination');
        $this->pagination->initialize($config);

        $data = array(
            'juara_data' => $juara,
            'q' => $q,
            'pagination' => $this->pagination->create_links(),
            'total_rows' => $config['total_rows'],
            'start' => $start,
        );

        return view('juara/Juara_list', $data);
    }



    public function create()
    {
        $data = array(
            'button' => 'Create',
            'action' => site_url('juara/create_action'),
            'id' => set_value('id'),
            'namajuara' => set_value('namajuara'),
            'aliasjuara' => set_value('aliasjuara'),
            'id_up' => set_value('id_up'),
            'lup'=>$this->Mjuara->get()->result()
        );

        return view('juara/Juara_form', $data);
    }

    public function create_action()
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->create();
        } else {
            $data = array(
                'namajuara' => $this->input->post('namajuara', TRUE),
                'aliasjuara' => $this->input->post('aliasjuara', TRUE),
                'id_up' => $this->input->post('id_up', TRUE)<>''?$this->input->post('id_up', TRUE):null,
            );

            $this->Mjuara->insertData($data);
            $this->session->set_flashdata('message', 'Create Record Success');
            redirect(site_url('juara'));
        }
    }

    public function update($id)
    {
        $row = $this->Mjuara->first('id', $id);

        if ($row) {
            $data = array(
                'button' => 'Update',
                'action' => site_url('juara/update_action'),
                'id' => set_value('id', $row->id),
                'namajuara' => set_value('namajuara', $row->namajuara),
                'aliasjuara' => set_value('aliasjuara', $row->aliasjuara),
                'id_up' => set_value('id_up', $row->id_up),
            );
            return view('juara/Juara_form', $data);
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('juara'));
        }
    }

    public function update_action()
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->update($this->input->post('id', TRUE));
        } else {
            $data = array(
                'namajuara' => $this->input->post('namajuara', TRUE),
                'aliasjuara' => $this->input->post('aliasjuara', TRUE),
                'id_up' => $this->input->post('id_up', TRUE)<>''?$this->input->post('id_up', TRUE):null,
            );

            $this->Mjuara->updateData($data, $this->input->post('id', TRUE));
            $this->session->set_flashdata('message', 'Update Record Success');
            redirect(site_url('juara'));
        }
    }

    public function delete($id)
    {
        $row = $this->Mjuara->first('id', $id);

        if ($row) {
            $this->Mjuara->deleteData($id);
            $this->session->set_flashdata('message', 'Delete Record Success');
            redirect(site_url('juara'));
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('juara'));
        }
    }

    public function _rules()
    {
        $this->form_validation->set_rules('namajuara', 'namajuara', 'trim|required');
        $this->form_validation->set_rules('aliasjuara', 'aliasjuara', 'trim|required');
        $this->form_validation->set_rules('id', 'id', 'trim');
        $this->form_validation->set_error_delimiters('<span class="text-danger">', '</span>');
    }
}

/* End of file Juara.php */
/* Location: ./application/controllers/Juara.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2019-08-28 02:04:03 */
/* http://harviacode.com */
